DIRNAME(1)

NOM
dirname - Supprimer le dernier composant d'un nom de fichier

SYNOPSIS
dirname [OPTION] NOM...

DESCRIPTION

Afficher le chemin de chaque NOM en le débarrassant de sa composante finale. Si NOM ne contient pas de « / », le symbole « . » (pour représenter le répertoire courant) est affiché.

-z, --zero
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

EXEMPLES

dirname /usr/bin/
    → « /usr »

dirname rep1/cha rep2/cha
    → « rep1 » suivi de « rep2 »

dirname stdio.h
    → « . »

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
basename(1), readlink(1)

Documentation complète : <https://www.gnu.org/software/coreutils/dirname>
aussi disponible localement à l’aide de la commande : info '(coreutils) dirname invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.